> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get futures leverage

> get account leverage

**Limit 10 requests per 60 seconds**

<ResponseExample>
  ```bash theme={null}
  // hedge mode
  {
      "success": true,
      "data": {
          "symbol": "PERP_BTC_USDT",
          "marginMode": "CROSS",
          "positionMode": "HEDGE_MODE"
          "details": [
              {
                  "positionSide": "LONG",
                  "leverage": 10
              },
              {
                  "positionSide": "SHORT",
                  "leverage": 15
              }
          ]
      },
      "timestamp": 1711433755393
  }


  // one way
  {
      "success": true,
      "data": {
          "symbol": "PERP_BTC_USDT",
          "marginMode": "CROSS",
          "positionMode": "ONE_WAY"
          "details": [
              {
                  "positionSide": "BOTH",
                  "leverage": 10
              }
          ]
      },
      "timestamp": 1711433755393
  }


  ```
</ResponseExample>


## OpenAPI

````yaml GET /v3/futures/leverage
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/futures/leverage:
    get:
      description: get account leverage
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            example: abcdef123456
          description: ''
        - name: x-api-signature
          in: header
          required: true
          schema:
            type: string
            example: signaturestring
          description: ''
        - name: x-api-timestamp
          in: header
          required: true
          schema:
            type: string
            example: '1718943200000'
          description: ''
        - name: symbol
          in: query
          description: Symbol name
          required: true
          explode: true
          schema:
            type: string
        - name: marginMode
          in: query
          description: 'values: CROSS | ISOLATED'
          required: true
          explode: true
          schema:
            type: string
        - name: positionMode
          in: query
          description: 'values: ONE_WAY | HEDGE_MODE'
          required: true
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LeverageResponse'
      security: []
components:
  schemas:
    LeverageResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                symbol:
                  type: string
                  description: The trading pair or symbol (e.g., PERP_BTC_USDT).
                marginMode:
                  type: string
                  description: The margin mode applied for the specified symbol.
                  enum:
                    - CROSS
                    - ISOLATED
                positionMode:
                  type: string
                  description: The position mode applied for the specified symbol.
                  enum:
                    - ONE_WAY
                    - HEDGE_MODE
                details:
                  type: array
                  description: Leverage settings for each position side.
                  items:
                    type: object
                    properties:
                      positionSide:
                        type: string
                        description: The position side (LONG or SHORT).
                        enum:
                          - LONG
                          - SHORT
                      leverage:
                        type: integer
                        description: The leverage value set for this position side.
                    required:
                      - positionSide
                      - leverage
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp

````